Bug 10970 - New Lynx in 6.2 breaks -source when no TERM entry in env
New Lynx in 6.2 breaks -source when no TERM entry in env
Product: Red Hat Linux
Classification: Retired
Component: lynx (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2000-04-21 16:05 EDT by jpranevich
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-11 02:58:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jpranevich 2000-04-21 16:05:40 EDT
In RH 6.2, Lynx will complain (and not print anything) when called with the
-source argument when there is no TERM variable set, such as in a crontab.
This breaks some of my cron-based scripts.

This seems to be incorrect behavior. According to the manpage -source just
dumps the (unformatted) source of the page to stdout. There should be no
need for a terminal that can do sursor positions, etc. (as the error

This worked in previous versions of RedHat
Comment 1 Aleksey Nogin 2000-07-11 02:58:30 EDT
Same with lynx -dump. This is a nasty problem and it prevented me from getting
some important messages from my cron jobs after I upgraded to RedHat 6.2...
Comment 2 Bernhard Rosenkraenzer 2000-08-04 06:29:29 EDT
Fixed in 2.8.4-3

Note You need to log in before you can comment on or make changes to this bug.